import { ED25519PublicKey, EVMAccountAddress, FarcasterEncodedSignedKeyRequestMetadata, UnixTimestamp } from "@snickerdoodlelabs/objects";
export declare class FarcasterKeyGatewayAddKeyMessage {
    owner: EVMAccountAddress;
    keyType: number;
    key: ED25519PublicKey;
    metadataType: number;
    metadata: FarcasterEncodedSignedKeyRequestMetadata;
    nonce: bigint;
    deadline: UnixTimestamp;
    constructor(owner: EVMAccountAddress, keyType: number, key: ED25519PublicKey, metadataType: number, metadata: FarcasterEncodedSignedKeyRequestMetadata, nonce: bigint, deadline: UnixTimestamp);
}
//# sourceMappingURL=FarcasterKeyGatewayAddKeyMessage.d.ts.map